#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x52693831, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x1d03e34e, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xcaec9b6d, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xa6a65ab5, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xbec3254e, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x26fa3c35, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x77d92f94, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x2b1836fc, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xdb49d4d1, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xe4294aac, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x1ed138da, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x5b973dbb, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xc1c693ea, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x513df8eb, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x180ef618, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xbd150dd2, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xdd4456ef, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x113a9dc1, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x8092b01f, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x25acb124, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x4853831d, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x838e09c6, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xa396eddb, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x7a23361a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x1bd961e4, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x87b5fccf, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x7b5b0c14, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x2e011f58, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x895f8ef6, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xfb924588, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x6da3784b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe1c1fc87, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2701639e, "_dev_warn" },
	{ 0xa5e1af68, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x157d88f8, "kthread_create_worker" },
	{ 0x47d1b1cd, "_dev_err" },
	{ 0xde9f39a3, "_dev_info" },
	{ 0x78d8213e, "sched_set_fifo" },
	{ 0x3f5c1d17, "crypto_register_aead" },
	{ 0xde878148, "crypto_unregister_aead" },
	{ 0x265a45e3, "crypto_register_ahash" },
	{ 0xda750849, "crypto_unregister_ahash" },
	{ 0x1d616279, "crypto_register_akcipher" },
	{ 0xcfc7f223, "crypto_unregister_akcipher" },
	{ 0xfb6102b9, "crypto_register_kpp" },
	{ 0xc3da9109, "crypto_unregister_kpp" },
	{ 0x654a5354, "crypto_register_skcipher" },
	{ 0xe8ed4f46, "crypto_unregister_skcipher" },
	{ 0xe5fea462, "crypto_enqueue_request" },
	{ 0x3f9a67c, "crypto_dequeue_request" },
	{ 0x19f9505d, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9f73dcef, "kthread_destroy_worker" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "28D1AA24B558B76E4CD01C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
