#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(b2c2_flexcop_debug, "_gpl", "");
KSYMTAB_FUNC(flexcop_pass_dmx_data, "", "");
KSYMTAB_FUNC(flexcop_pass_dmx_packets, "", "");
KSYMTAB_FUNC(flexcop_device_kmalloc, "", "");
KSYMTAB_FUNC(flexcop_device_kfree, "", "");
KSYMTAB_FUNC(flexcop_device_initialize, "", "");
KSYMTAB_FUNC(flexcop_device_exit, "", "");
KSYMTAB_FUNC(flexcop_i2c_request, "", "");
KSYMTAB_FUNC(flexcop_sram_set_dest, "", "");
KSYMTAB_FUNC(flexcop_wan_set_speed, "", "");
KSYMTAB_FUNC(flexcop_sram_ctrl, "", "");
KSYMTAB_FUNC(flexcop_eeprom_check_mac_addr, "", "");
KSYMTAB_FUNC(flexcop_dump_reg, "", "");
KSYMTAB_FUNC(flexcop_pid_feed_control, "", "");

SYMBOL_CRC(b2c2_flexcop_debug, 0x66c0289a, "_gpl");
SYMBOL_CRC(flexcop_pass_dmx_data, 0x89bfe707, "");
SYMBOL_CRC(flexcop_pass_dmx_packets, 0x194c3f7d, "");
SYMBOL_CRC(flexcop_device_kmalloc, 0x9da5492e, "");
SYMBOL_CRC(flexcop_device_kfree, 0xa80d0c5b, "");
SYMBOL_CRC(flexcop_device_initialize, 0xdb3133bd, "");
SYMBOL_CRC(flexcop_device_exit, 0xb176eb1b, "");
SYMBOL_CRC(flexcop_i2c_request, 0x45491d3a, "");
SYMBOL_CRC(flexcop_sram_set_dest, 0xff049b5a, "");
SYMBOL_CRC(flexcop_wan_set_speed, 0x1440ac3e, "");
SYMBOL_CRC(flexcop_sram_ctrl, 0xef7330b3, "");
SYMBOL_CRC(flexcop_eeprom_check_mac_addr, 0x92b92ce8, "");
SYMBOL_CRC(flexcop_dump_reg, 0xfae1c60d, "");
SYMBOL_CRC(flexcop_pid_feed_control, 0xbb6746a3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x868784cb, "__symbol_get" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf10c53b8, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xee637cd8, "dvb_dmxdev_release" },
	{ 0x8f82fcd0, "param_ops_short" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x25dc7547, "dvb_frontend_detach" },
	{ 0x478e0f1d, "i2c_add_adapter" },
	{ 0xee115a74, "dvb_net_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2d146a87, "dvb_unregister_frontend" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0x95466aba, "cx24123_get_tuner_i2c_adapter" },
	{ 0x2d05595a, "dvb_register_frontend" },
	{ 0xec2a2dc, "cx24113_agc_callback" },
	{ 0xf6dd66bc, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xa89ba91e, "param_ops_int" },
	{ 0x109dec04, "s5h1420_get_tuner_i2c_adapter" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3e8e781, "dvb_dmxdev_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x4f12c595, "request_firmware" },
	{ 0x75143f2d, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x4080dd06, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x18acd31f, "dvb_dmx_swfilter_packets" },
	{ 0xb04f4c2, "i2c_del_adapter" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,cx24123,cx24113,s5h1420");


MODULE_INFO(srcversion, "4C4280033A9676EC02C54AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
