#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x710bda96, "_gpl");
SYMBOL_CRC(rndis_command, 0x3ff4bfbf, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x7a86aa68, "_gpl");
SYMBOL_CRC(rndis_unbind, 0xab3d189f, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x45f5c68c, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x51ebbb14, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5f98f37, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x724b8471, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x319835ed, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xde9f39a3, "_dev_info" },
	{ 0x47d1b1cd, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0x69f476a2, "usbnet_generic_cdc_bind" },
	{ 0x99954d5, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1257b24, "__dynamic_netdev_dbg" },
	{ 0xd1831b87, "dev_addr_mod" },
	{ 0x2701639e, "_dev_warn" },
	{ 0xa3d41da, "skb_pull" },
	{ 0x3d61623e, "skb_trim" },
	{ 0x18dc9d79, "usbnet_cdc_zte_rx_fixup" },
	{ 0x6034d5b5, "skb_clone" },
	{ 0xc63f0207, "usbnet_skb_return" },
	{ 0x685d7bd6, "skb_copy_expand" },
	{ 0xd90e4652, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0x869f1b9, "usb_register_driver" },
	{ 0x130d7733, "usb_deregister" },
	{ 0x61001b84, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc3a3237e, "usbnet_probe" },
	{ 0xb370d30a, "usbnet_disconnect" },
	{ 0xc7d69b53, "usbnet_suspend" },
	{ 0x614d3a2a, "usbnet_resume" },
	{ 0xa225c998, "usbnet_open" },
	{ 0x28adf505, "usbnet_stop" },
	{ 0x1067cc58, "usbnet_start_xmit" },
	{ 0xf0fae6f0, "eth_mac_addr" },
	{ 0xb1b6ceb8, "eth_validate_addr" },
	{ 0x9341b48b, "usbnet_tx_timeout" },
	{ 0x4d554632, "dev_get_tstats64" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
