#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0xbe739243, "");
SYMBOL_CRC(ath10k_info, 0xc90d7235, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x05bdca66, "");
SYMBOL_CRC(ath10k_err, 0xbd517143, "");
SYMBOL_CRC(ath10k_warn, 0x39229038, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x861404f2, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x173b671c, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x236ed766, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0xd8b6658b, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xdf08fb07, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x6343ea76, "");
SYMBOL_CRC(ath10k_core_start, 0xf7262c47, "");
SYMBOL_CRC(ath10k_core_stop, 0x65ba902e, "");
SYMBOL_CRC(ath10k_core_register, 0xac57df9f, "");
SYMBOL_CRC(ath10k_core_unregister, 0xc054a589, "");
SYMBOL_CRC(ath10k_core_create, 0xfa71ad96, "");
SYMBOL_CRC(ath10k_core_destroy, 0x8e512f9e, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xecce6a63, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x3a17dcc0, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x76acc201, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x8aa3520e, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0xd54acd32, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x6c9b33c6, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x878fb281, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x9ffe11e0, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x215ba885, "");
SYMBOL_CRC(ath10k_bmi_start, 0xd6b7f4de, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x1ecf9132, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xbf38422d, "");
SYMBOL_CRC(ath10k_coredump_new, 0x09ea4b89, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x55922228, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x46015f46, "");
SYMBOL_CRC(ath10k_ce_send, 0xc293e13c, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x4f3b062a, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xa95d81e3, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x47ac4514, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x00ab1aa0, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x56beceec, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x8b7c2782, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0xf5f37fca, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x94c1ad24, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xad13f332, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x81a744a5, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0xc2d9dd10, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xe35b7026, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xa23601ce, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0xb8fd6879, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x5878d57a, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x1c759f08, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x1ab265eb, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0xc872e840, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x522fd7e9, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xc9b790b6, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xe0497de1, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x1391df1c, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0xef6dbdca, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xba326e54, "napi_disable" },
	{ 0xd90e4652, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xb2c6b858, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0x758289, "ieee80211_csa_finish" },
	{ 0xd221d9e6, "skb_queue_head" },
	{ 0x33d9e77e, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xd4ff20ee, "ieee80211_beacon_update_cntdwn" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x67dc65be, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xe47905a8, "ieee80211_connection_loss" },
	{ 0xb6b4e2a4, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1104c8a9, "is_acpi_device_node" },
	{ 0x36a8c193, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x814338dc, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x545feaff, "ieee80211_txq_get_depth" },
	{ 0xe46a9543, "param_ops_uint" },
	{ 0xd888a28b, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa5e1af68, "devm_kmalloc" },
	{ 0xac4bebe4, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1b5a5438, "firmware_request_nowarn" },
	{ 0xdc468b46, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x12d2bbfb, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x681585aa, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3b10ef30, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x53e72a6, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x42c2e922, "dma_unmap_page_attrs" },
	{ 0x65451109, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x818e3761, "ieee80211_iterate_stations_atomic" },
	{ 0x740117af, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x32ce34a8, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0xda77b32d, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x11d10e87, "pcpu_hot" },
	{ 0xf5a41f24, "thermal_cooling_device_register" },
	{ 0x41d8045, "led_classdev_unregister" },
	{ 0xf2ab4d8b, "ieee80211_register_hw" },
	{ 0x243de129, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x92481094, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc48725b6, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfacc35c2, "pskb_expand_head" },
	{ 0xcd1557a5, "skb_queue_purge_reason" },
	{ 0x1ef9df67, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd10082de, "ieee80211_find_sta" },
	{ 0xfe56e229, "dma_map_page_attrs" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbfffa9b9, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x9f57d58e, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x609322a2, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xde9f39a3, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0xbbe2fa19, "skb_queue_tail" },
	{ 0x76061c53, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4385dc5d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xae731081, "wiphy_to_ieee80211_hw" },
	{ 0xdcd049a7, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbae23034, "ieee80211_queue_delayed_work" },
	{ 0xa38451a7, "ieee80211_proberesp_get" },
	{ 0x47d1b1cd, "_dev_err" },
	{ 0xa3d41da, "skb_pull" },
	{ 0x6c4db7a, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5f174c25, "init_uts_ns" },
	{ 0xe58d6260, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x23f83cf2, "ieee80211_find_sta_by_ifaddr" },
	{ 0x61530c23, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x335bd48d, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcc7fcec8, "skb_push" },
	{ 0x3d9db794, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x434a5286, "napi_enable" },
	{ 0xde71368, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6bdc337b, "ieee80211_wake_queues" },
	{ 0x70198465, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9a2fccf3, "ieee80211_report_low_ack" },
	{ 0x9718a343, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe3d0f56a, "ieee80211_free_txskb" },
	{ 0x3915db88, "led_classdev_register_ext" },
	{ 0x10ff7595, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea79a6a9, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x89bc25c4, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf6a2bb57, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x2701639e, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x19bac0a9, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6bbe9e2a, "devm_nvmem_cell_get" },
	{ 0xd38f7d3d, "ieee80211_stop_queue" },
	{ 0xfb70cec6, "__netdev_alloc_skb" },
	{ 0x67f6345d, "ieee80211_ready_on_channel" },
	{ 0x5f292e41, "ieee80211_stop_queues" },
	{ 0x3d61623e, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6442bea6, "skb_realloc_headroom" },
	{ 0xe70cbc82, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x518ed21b, "alloc_netdev_dummy" },
	{ 0x430bc8d0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x6b56614, "ieee80211_scan_completed" },
	{ 0x4e7d5c85, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x90187363, "param_ops_bool" },
	{ 0x922812a7, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfc54518a, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4437707c, "ath_regd_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x683b4ca3, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe35c2b5b, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x44fe97b9, "ieee80211_tdls_oper_request" },
	{ 0x6f8161b3, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x816dca1b, "thermal_cooling_device_unregister" },
	{ 0x136a04ed, "ieee80211_tx_rate_update" },
	{ 0xf4c155bc, "ieee80211_queue_work" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "1E0B95F0DB308258D165BF7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
