#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");
KSYMTAB_FUNC(ipw_wx_set_spy, "", "");
KSYMTAB_FUNC(ipw_wx_get_spy, "", "");
KSYMTAB_FUNC(ipw_wx_set_thrspy, "", "");
KSYMTAB_FUNC(ipw_wx_get_thrspy, "", "");
KSYMTAB_FUNC(libipw_crypt_info_init, "", "");
KSYMTAB_FUNC(libipw_crypt_info_free, "", "");
KSYMTAB_FUNC(libipw_crypt_delayed_deinit, "", "");
KSYMTAB_FUNC(libipw_register_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_unregister_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_get_crypto_ops, "", "");

SYMBOL_CRC(libipw_networks_age, 0x0ecebf7a, "");
SYMBOL_CRC(alloc_libipw, 0x355f2a54, "");
SYMBOL_CRC(free_libipw, 0x745373ed, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x384c58e3, "");
SYMBOL_CRC(libipw_txb_free, 0xe97af412, "");
SYMBOL_CRC(libipw_rx_any, 0xcb2443e2, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x3ec246e5, "");
SYMBOL_CRC(libipw_rx, 0x94f35c73, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0xf1316d52, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0xc5d98853, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x23611c99, "");
SYMBOL_CRC(libipw_wx_set_encode, 0xf58f330c, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x0f22c94f, "");
SYMBOL_CRC(libipw_get_channel, 0x35c6bc33, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x1cd7938a, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x355ee28c, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x6314eaa5, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x81adef58, "");
SYMBOL_CRC(libipw_channel_to_index, 0xf9a3473a, "");
SYMBOL_CRC(libipw_set_geo, 0x6af99b2e, "");
SYMBOL_CRC(libipw_get_geo, 0x4057889a, "");
SYMBOL_CRC(ipw_wx_set_spy, 0xd6fc417b, "");
SYMBOL_CRC(ipw_wx_get_spy, 0x30312f5b, "");
SYMBOL_CRC(ipw_wx_set_thrspy, 0xeeb92552, "");
SYMBOL_CRC(ipw_wx_get_thrspy, 0xc85f9b70, "");
SYMBOL_CRC(libipw_crypt_info_init, 0xfc842177, "");
SYMBOL_CRC(libipw_crypt_info_free, 0x3b749ca6, "");
SYMBOL_CRC(libipw_crypt_delayed_deinit, 0xeed3c77e, "");
SYMBOL_CRC(libipw_register_crypto_ops, 0xcb22fe68, "");
SYMBOL_CRC(libipw_unregister_crypto_ops, 0xf65f46dd, "");
SYMBOL_CRC(libipw_get_crypto_ops, 0xe104519f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8bb8340, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x99f93f7a, "crypto_aead_setkey" },
	{ 0x3ebdd6cb, "init_net" },
	{ 0x97278f5, "crypto_shash_setkey" },
	{ 0xa3d41da, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x80198942, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xcc7fcec8, "skb_push" },
	{ 0x42228cea, "wireless_send_event" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x70198465, "free_netdev" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x95bfaec6, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x826945e5, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xbccc48a1, "netif_rx" },
	{ 0xfb70cec6, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3d61623e, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdbf0bcbf, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x84e74db4, "crypto_shash_final" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x120c798e, "remove_proc_entry" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdb4f91e, "seq_printf" },
	{ 0x576599f2, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd90e4652, "dev_kfree_skb_any_reason" },
	{ 0xa89ba91e, "param_ops_int" },
	{ 0xae7a489c, "single_open" },
	{ 0x7c9e3049, "crypto_alloc_shash" },
	{ 0x8798b7f3, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdefc7152, "alloc_etherdev_mqs" },
	{ 0xaad814e9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0xac4bebe4, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9e434203, "proc_create" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x75575efd, "seq_lseek" },
	{ 0x5fdd52c2, "crypto_alloc_aead" },
	{ 0x3306eaa2, "dev_kfree_skb_irq_reason" },
	{ 0x295998f0, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5fc44c8, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x414dd49f, "crypto_destroy_tfm" },
	{ 0x89517be0, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2c587e35, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "libarc4,cfg80211");


MODULE_INFO(srcversion, "C8FFC566263669E7159E0B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
