#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(musb_get_mode, "_gpl", "");
KSYMTAB_DATA(musb_readb, "_gpl", "");
KSYMTAB_DATA(musb_writeb, "_gpl", "");
KSYMTAB_DATA(musb_clearb, "_gpl", "");
KSYMTAB_DATA(musb_readw, "_gpl", "");
KSYMTAB_DATA(musb_writew, "_gpl", "");
KSYMTAB_DATA(musb_clearw, "_gpl", "");
KSYMTAB_FUNC(musb_readl, "_gpl", "");
KSYMTAB_FUNC(musb_writel, "_gpl", "");
KSYMTAB_FUNC(musb_set_host, "_gpl", "");
KSYMTAB_FUNC(musb_set_peripheral, "_gpl", "");
KSYMTAB_FUNC(musb_interrupt, "_gpl", "");
KSYMTAB_FUNC(musb_mailbox, "_gpl", "");
KSYMTAB_FUNC(musb_queue_resume_work, "_gpl", "");
KSYMTAB_FUNC(musb_root_disconnect, "_gpl", "");

SYMBOL_CRC(musb_get_mode, 0x1dedabad, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0x8e08db96, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0x27a88707, "_gpl");
SYMBOL_CRC(musb_interrupt, 0x3884228c, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0x78e8a7ff, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0x3d982995, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x48b8976a, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7f1b3ecc, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6680732, "usb_hcd_check_unlink_urb" },
	{ 0xc55ae526, "device_wakeup_disable" },
	{ 0x441e10cf, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc8ae8ae5, "perf_trace_run_bpf_submit" },
	{ 0x5394248b, "devm_kfree" },
	{ 0x47d1b1cd, "_dev_err" },
	{ 0xd6e35afa, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x79bf5767, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb8075e8c, "sg_miter_stop" },
	{ 0x57b0f1fb, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1ebde5a2, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34a3e79c, "bpf_trace_run1" },
	{ 0x3f38646c, "usb_hcd_link_urb_to_ep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x9f1827c8, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x92ec3011, "__platform_driver_register" },
	{ 0x6d7652b7, "bpf_trace_run3" },
	{ 0xdbf0bcbf, "seq_read" },
	{ 0x2d2332fd, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x36609975, "trace_event_buffer_reserve" },
	{ 0x3bfd1569, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xd1b6ff1b, "usb_hcd_giveback_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2c06b6fb, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdb4f91e, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x317172df, "usb_hcd_poll_rh_status" },
	{ 0xbfe863f8, "debugfs_create_file_full" },
	{ 0x7d59095, "usb_create_hcd" },
	{ 0x576599f2, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb1b959b4, "dev_err_probe" },
	{ 0xde892c3b, "__pm_runtime_suspend" },
	{ 0xb71fda4a, "usb_debug_root" },
	{ 0x754d539c, "strlen" },
	{ 0x16e1aebc, "__pm_runtime_use_autosuspend" },
	{ 0x8f58054b, "usb_remove_hcd" },
	{ 0xf8f4c3a2, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xae7a489c, "single_open" },
	{ 0x577ed20e, "usb_hcd_unmap_urb_for_dma" },
	{ 0x601347a6, "__pm_runtime_disable" },
	{ 0xa76a70bd, "debugfs_create_dir" },
	{ 0x43befbd9, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb71aefd6, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc1f53e76, "devm_platform_ioremap_resource" },
	{ 0x36a8c193, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdf42acbc, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa5e1af68, "devm_kmalloc" },
	{ 0x711da096, "usb_hcd_resume_root_hub" },
	{ 0x206923e8, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x136eed69, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xaff8efbf, "param_ops_ushort" },
	{ 0x4461f75a, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x24cda422, "pm_runtime_set_autosuspend_delay" },
	{ 0x12f32f1e, "__trace_trigger_soft_disabled" },
	{ 0xd18b04a8, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7438dccb, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x11d10e87, "pcpu_hot" },
	{ 0x75575efd, "seq_lseek" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3846ca81, "bpf_trace_run2" },
	{ 0x148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x319835ed, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a9dca29, "usb_get_dr_mode" },
	{ 0x1ef9df67, "dev_driver_string" },
	{ 0x31fb2868, "trace_event_buffer_commit" },
	{ 0x25b0ae83, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "4B2F4671675F6E3D2711A0D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
