#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf316e0ac, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x233c0772, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x1d31beb, "netfs_invalidate_folio" },
	{ 0xd384c683, "p9stat_free" },
	{ 0xcd1657d4, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x4dffc54e, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x3c3fabf7, "netfs_clear_inode_writeback" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x24331286, "p9_client_create" },
	{ 0x365f7b08, "posix_acl_valid" },
	{ 0x2ea414f8, "make_kuid" },
	{ 0x361abc6a, "truncate_inode_pages_final" },
	{ 0x15ba0fec, "fs_kobj" },
	{ 0xb4322016, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xcecff8ae, "const_pcpu_hot" },
	{ 0xfdbdbc07, "simple_nosetlease" },
	{ 0xc9945ff6, "netfs_page_mkwrite" },
	{ 0xd3396d28, "xattr_full_name" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x61041854, "inode_init_once" },
	{ 0xd778c515, "file_write_and_wait_range" },
	{ 0xd6d595b0, "p9_client_setattr" },
	{ 0x17d76d88, "copy_splice_read" },
	{ 0xb476154e, "__fscache_relinquish_volume" },
	{ 0x53f3b89a, "p9_client_xattrwalk" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x469e4c5c, "netfs_file_write_iter" },
	{ 0x65682f7b, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb4734cdd, "set_cached_acl" },
	{ 0x46267c92, "p9_client_destroy" },
	{ 0x42dc2e7c, "p9_client_unlinkat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x90ee500c, "setattr_copy" },
	{ 0x5faefbd9, "get_cached_acl" },
	{ 0x5965f234, "set_nlink" },
	{ 0x825ab4b5, "kmem_cache_alloc_lru_noprof" },
	{ 0x9ba22db9, "kmem_cache_free" },
	{ 0xb0a10e54, "p9_client_mkdir_dotl" },
	{ 0x1b618228, "d_move" },
	{ 0xf8c526f4, "netfs_release_folio" },
	{ 0xb45a5220, "p9_client_xattrcreate" },
	{ 0xdde7e358, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xca822a7a, "sget" },
	{ 0x9ef0edcb, "p9_client_create_dotl" },
	{ 0xe1ed92cc, "p9_client_lock_dotl" },
	{ 0x81c97b32, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7038eb2b, "finish_no_open" },
	{ 0xbc89ae09, "p9_client_write" },
	{ 0xe53e272a, "p9_client_walk" },
	{ 0x64bd4b03, "do_trace_9p_fid_put" },
	{ 0x46b286fe, "netfs_dirty_folio" },
	{ 0x7697b2a4, "netfs_read_subreq_terminated" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xee70da2d, "p9_show_client_options" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x384cc07b, "p9_client_read" },
	{ 0xcf71ac65, "inode_owner_or_capable" },
	{ 0xdbd86164, "p9_client_fsync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95bd8f96, "p9dirent_read" },
	{ 0x446b3085, "p9_client_symlink" },
	{ 0x27203974, "make_kgid" },
	{ 0x52885589, "__kmem_cache_create_args" },
	{ 0x98897670, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x299cbcda, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8da0df02, "truncate_setsize" },
	{ 0xc2908436, "p9_client_readlink" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x87b74764, "p9_is_proto_dotl" },
	{ 0xac66ecbd, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x978428ee, "noop_direct_IO" },
	{ 0xaf84c43, "p9_client_clunk" },
	{ 0x48988b5, "super_setup_bdi" },
	{ 0x41ce9823, "p9stat_read" },
	{ 0xbde4e9cd, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb884baf0, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x1d2d13e6, "p9_client_statfs" },
	{ 0x795629e5, "init_user_ns" },
	{ 0xc287e64a, "p9_client_link" },
	{ 0xaabd3fe6, "inc_nlink" },
	{ 0x5034a267, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xee204790, "p9_client_stat" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdb4f91e, "seq_printf" },
	{ 0x3d6310df, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x4b4aa6b0, "deactivate_locked_super" },
	{ 0xa8c62655, "__tracepoint_9p_fid_ref" },
	{ 0x97a771b4, "posix_acl_update_mode" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xfed45a87, "generic_file_open" },
	{ 0xe1f262a8, "is_bad_inode" },
	{ 0x9a0153d8, "p9_client_begin_disconnect" },
	{ 0x95e840a, "__fscache_use_cookie" },
	{ 0x3241e753, "p9_client_getlock_dotl" },
	{ 0xe87b31c2, "netfs_unbuffered_read_iter" },
	{ 0x9b546d55, "filemap_splice_read" },
	{ 0x1cf8243, "posix_acl_to_xattr" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xc5a38007, "kill_anon_super" },
	{ 0x92462cb2, "from_kuid_munged" },
	{ 0x2d803141, "iget5_locked" },
	{ 0xfcd55d8b, "filemap_write_and_wait_range" },
	{ 0x6069ba3a, "do_trace_9p_fid_get" },
	{ 0x9bd77302, "p9_client_readdir" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xfe5eea5, "filemap_fault" },
	{ 0x8d8756f0, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x24797fbc, "generic_file_llseek" },
	{ 0x53b954a2, "up_read" },
	{ 0xf94e29d0, "p9_client_mknod_dotl" },
	{ 0x2e4c65ab, "set_anon_super" },
	{ 0x8edaa845, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0xeedfdff0, "inode_set_ctime_to_ts" },
	{ 0x497ebb7, "iget_failed" },
	{ 0xd7357642, "kmem_cache_destroy" },
	{ 0xaa8b30d8, "__fscache_acquire_cookie" },
	{ 0x92dc5d8b, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x793b3909, "posix_test_lock" },
	{ 0xea57eeb, "__posix_acl_create" },
	{ 0xfb5f4383, "inode_init_owner" },
	{ 0x74cbf956, "filemap_fdatawrite" },
	{ 0xab70ee11, "generic_fillattr" },
	{ 0x6016b027, "p9_client_getattr_dotl" },
	{ 0x119d4678, "p9_client_wstat" },
	{ 0x86c2a3a3, "setattr_prepare" },
	{ 0x1fbce259, "p9_client_open" },
	{ 0x21c126b3, "clear_nlink" },
	{ 0xe06b8d9f, "p9_client_rename" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6dfc4c55, "d_instantiate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xebd81c93, "clear_inode" },
	{ 0x8dc2dda5, "__fscache_acquire_volume" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf6648c3, "__fscache_resize_cookie" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x17bbe0f5, "filemap_map_pages" },
	{ 0xc6796166, "netfs_unpin_writeback" },
	{ 0x3d73c1db, "netfs_file_read_iter" },
	{ 0xfb7e06a0, "init_special_inode" },
	{ 0x4eb2720c, "unregister_filesystem" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc3921ae7, "simple_statfs" },
	{ 0xc5224489, "d_make_root" },
	{ 0x7968252f, "__posix_acl_chmod" },
	{ 0x9e2b3615, "invalidate_mapping_pages" },
	{ 0x43900175, "__fscache_unuse_cookie" },
	{ 0x2220ec6c, "netfs_unbuffered_write_iter" },
	{ 0x81816c7c, "always_delete_dentry" },
	{ 0xf574af31, "p9_client_remove" },
	{ 0xd9d30312, "d_splice_alias" },
	{ 0xca5efa5e, "ihold" },
	{ 0x3b6115a3, "p9_client_renameat" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc78a5e50, "finish_open" },
	{ 0x1681550c, "generic_file_readonly_mmap" },
	{ 0x69f117da, "netfs_writepages" },
	{ 0x7a41257c, "iter_file_splice_write" },
	{ 0xbddcf092, "p9_client_fcreate" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x783833a2, "p9_is_proto_dotu" },
	{ 0x6f4a41d1, "__fscache_relinquish_cookie" },
	{ 0xfd96dfc, "register_filesystem" },
	{ 0x20275bb3, "p9_client_disconnect" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8c262981, "netfs_readahead" },
	{ 0x66847aa5, "p9_client_attach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "netfs,9pnet");


MODULE_INFO(srcversion, "118D5BB03FE762C99E7298B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
