#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39317abd, "inode_newsize_ok" },
	{ 0x464e40ef, "d_drop" },
	{ 0xcd1657d4, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xcfee7438, "block_invalidate_folio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x14071bfd, "crypto_skcipher_decrypt" },
	{ 0x361abc6a, "truncate_inode_pages_final" },
	{ 0x15ba0fec, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xad0e0120, "__filemap_set_wb_err" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0xb4322016, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6c70a58, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xcecff8ae, "const_pcpu_hot" },
	{ 0x9f21d76e, "__free_pages" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x61041854, "inode_init_once" },
	{ 0xd778c515, "file_write_and_wait_range" },
	{ 0xebf8276e, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x828e6783, "vfs_get_link" },
	{ 0xfa913052, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x488c754a, "generic_file_read_iter" },
	{ 0x5c418258, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5965f234, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x825ab4b5, "kmem_cache_alloc_lru_noprof" },
	{ 0x52145572, "lock_rename" },
	{ 0x9ba22db9, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xff48bc5c, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xc874850b, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x73c2e2b7, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x81c97b32, "sysfs_create_group" },
	{ 0x9a9a431e, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xca552aa4, "folio_end_read" },
	{ 0x3155d950, "block_dirty_folio" },
	{ 0xb374de9e, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x1948bea6, "kern_path" },
	{ 0x5dc8e9d2, "vfs_set_acl" },
	{ 0x2033e984, "misc_register" },
	{ 0x46b4231b, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3696c9c6, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7b8406ac, "key_validate" },
	{ 0x52885589, "__kmem_cache_create_args" },
	{ 0xc964ef73, "unlock_rename" },
	{ 0x1e1094ab, "vfs_rmdir" },
	{ 0x267b776f, "writeback_iter" },
	{ 0x299cbcda, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x8da0df02, "truncate_setsize" },
	{ 0xf703d51b, "kthread_create_on_node" },
	{ 0xac66ecbd, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe8368808, "vfs_symlink" },
	{ 0x48988b5, "super_setup_bdi" },
	{ 0xe997f65, "igrab" },
	{ 0xb884baf0, "generic_read_dir" },
	{ 0x59750f27, "d_instantiate_new" },
	{ 0xcc1e5930, "d_add" },
	{ 0x47bd58dd, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x6e0407b6, "vfs_mknod" },
	{ 0x795629e5, "init_user_ns" },
	{ 0xc9efef1c, "dentry_open" },
	{ 0x1c67e3aa, "request_key_tag" },
	{ 0x6d10d6df, "__folio_put" },
	{ 0xb4685208, "vfs_fileattr_set" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0x9063b43, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdb4f91e, "seq_printf" },
	{ 0x3d6310df, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x4b4aa6b0, "deactivate_locked_super" },
	{ 0xd773b1df, "touch_atime" },
	{ 0xab958ef0, "lookup_one_len_unlocked" },
	{ 0x7c826c0, "vfs_llseek" },
	{ 0x3471bc85, "alloc_pages_noprof" },
	{ 0x6b10bf00, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xfdbe8e1c, "__fs_parse" },
	{ 0x9b546d55, "filemap_splice_read" },
	{ 0x15b5874e, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x76bd0fdd, "key_type_user" },
	{ 0xc5a38007, "kill_anon_super" },
	{ 0x91b87ec5, "vfs_getattr_nosec" },
	{ 0x2d803141, "iget5_locked" },
	{ 0xfcd55d8b, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x58ec487, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xa89ba91e, "param_ops_int" },
	{ 0x65107e18, "inode_permission" },
	{ 0x3e74bdbc, "mntget" },
	{ 0x7c9e3049, "crypto_alloc_shash" },
	{ 0x8d8756f0, "__mark_inode_dirty" },
	{ 0x24797fbc, "generic_file_llseek" },
	{ 0x777055f1, "make_bad_inode" },
	{ 0x85c7f13a, "vfs_get_acl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa4601559, "fsstack_copy_inode_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0xeedfdff0, "inode_set_ctime_to_ts" },
	{ 0x497ebb7, "iget_failed" },
	{ 0xf854dd04, "kernel_write" },
	{ 0xd7357642, "kmem_cache_destroy" },
	{ 0x92dc5d8b, "kobject_put" },
	{ 0x5392b51, "vfs_create" },
	{ 0x1eace7f4, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x97f4f729, "crypto_skcipher_encrypt" },
	{ 0xab70ee11, "generic_fillattr" },
	{ 0x86c2a3a3, "setattr_prepare" },
	{ 0x2143eb0a, "filemap_migrate_folio" },
	{ 0x21c126b3, "clear_nlink" },
	{ 0x32d20ec0, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6dfc4c55, "d_instantiate" },
	{ 0x7a2fafb9, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xebd81c93, "clear_inode" },
	{ 0x958b6d65, "notify_change" },
	{ 0xe46a9543, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb3de8a92, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57a877c5, "fs_param_is_string" },
	{ 0x682956be, "folio_unlock" },
	{ 0x3c058de8, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xfb7e06a0, "init_special_inode" },
	{ 0x4eb2720c, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3014d3bf, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc5224489, "d_make_root" },
	{ 0xc1ba6472, "read_cache_folio" },
	{ 0xd2620e19, "sget_fc" },
	{ 0xd9d30312, "d_splice_alias" },
	{ 0xcd1e7efe, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xf59027f9, "iput" },
	{ 0x35e00d6d, "__vfs_getxattr" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa684209e, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf3bc2f96, "crypto_skcipher_setkey" },
	{ 0xcb6010c3, "fsstack_copy_attr_all" },
	{ 0xfd96dfc, "register_filesystem" },
	{ 0xaf5acd8a, "vfs_unlink" },
	{ 0xce4d605b, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe23d8164, "wake_up_process" },
	{ 0x32b58aa1, "vfs_mkdir" },
	{ 0x414dd49f, "crypto_destroy_tfm" },
	{ 0xa8a0681f, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x782611f0, "fs_param_is_u32" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E1336512789D995A1D5E5A5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
