#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0xd5a2b292, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0xc9c180b0, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0x9a445255, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0xd93d6a16, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0x71dae184, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0x524cbfac, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0xacb6e329, "_gpl");
SYMBOL_CRC(inet_diag_register, 0x75a1234d, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x02265f89, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaad814e9, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0xfacc35c2, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb8bb8340, "module_put" },
	{ 0x4ebf5b43, "__netlink_dump_start" },
	{ 0xfa6a576, "sock_diag_unregister" },
	{ 0xdf8329dd, "sock_diag_unregister_inet_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0xc8744a24, "sock_diag_register" },
	{ 0x822408e4, "sock_diag_register_inet_compat" },
	{ 0xeffacec7, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0x4ffb7372, "inet6_lookup" },
	{ 0x313c088c, "sock_diag_check_cookie" },
	{ 0x40c84f1b, "sock_gen_put" },
	{ 0x3efe8b2e, "__inet_lookup_established" },
	{ 0x90aad96c, "__inet_lookup_listener" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6fe4796d, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1367753d, "sock_diag_put_meminfo" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xad3a1975, "bpf_sk_storage_diag_put" },
	{ 0xa916b694, "strnlen" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa4dac85c, "__alloc_skb" },
	{ 0xe58d6260, "sk_skb_reason_drop" },
	{ 0x2f36abc, "netlink_unicast" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x541ccb36, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6d0fcc82, "sock_diag_save_cookie" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x97c61116, "sock_i_uid" },
	{ 0x92462cb2, "from_kuid_munged" },
	{ 0x73379b1d, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d61623e, "skb_trim" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C6793C36E2C09683FC8B80");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
