#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x7ef5575c, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x7397c7a7, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x0c9fe295, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x1a3e9038, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0xd628b2dd, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x31f4af60, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x1c52e089, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x905916a8, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xaaad76c2, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x2f04206b, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x6a61ed2b, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0xf8c302b8, "");
SYMBOL_CRC(key_type_rxrpc, 0xb1d04f7a, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x2ebd757a, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x6ac36a3c, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xaa42a6e0, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x342000cc, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x0249b345, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0xb069ea4c, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x7cf15372, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xc78e0f4d, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x15f2336a, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xfd45e0b8, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xe95d538c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x922a7bb8, "kernel_sock_shutdown" },
	{ 0x462024c0, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9ba22db9, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x57b0f1fb, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdde7e358, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2b2b3926, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x28463b21, "lock_sock_nested" },
	{ 0x9a9a431e, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xf1b58b56, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x404d803f, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc6f5b76a, "sk_alloc" },
	{ 0x34a3e79c, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xac6d5b7, "__sock_recv_wifi_status" },
	{ 0xdc2e483f, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xec3db79a, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3696c9c6, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x63c1ae29, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x7b8406ac, "key_validate" },
	{ 0xa5845a83, "crypto_alloc_sync_skcipher" },
	{ 0x52885589, "__kmem_cache_create_args" },
	{ 0x73fcb1aa, "setup_udp_tunnel_sock" },
	{ 0x44919a65, "proc_remove" },
	{ 0x284c7ca9, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf703d51b, "kthread_create_on_node" },
	{ 0x6d7652b7, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4d5bf2b0, "ipv4_mtu" },
	{ 0x36609975, "trace_event_buffer_reserve" },
	{ 0x1b6eba2, "keyring_search" },
	{ 0x96496964, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1c67e3aa, "request_key_tag" },
	{ 0x8ad789f3, "generic_key_instantiate" },
	{ 0x5034a267, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfde5345a, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdb4f91e, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe35c2b5b, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6034d5b5, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2aa8a525, "dst_release" },
	{ 0x17f90393, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xd69c3c36, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x2717828b, "sock_no_ioctl" },
	{ 0x1adc68f3, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xbcddbe26, "__seq_puts" },
	{ 0xdae93f68, "page_frag_cache_drain" },
	{ 0xcde435a5, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x9ddd168a, "bpf_trace_run7" },
	{ 0xdf457de0, "ip_icmp_error" },
	{ 0x9ef8dc10, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7bc46224, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa59d6c91, "skb_to_sgvec" },
	{ 0xde1c715e, "register_pernet_device" },
	{ 0xd6ace986, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xddbde1e7, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0xd7357642, "kmem_cache_destroy" },
	{ 0x45e00e9b, "release_sock" },
	{ 0xd221d9e6, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x768b367b, "proc_create_net_single_write" },
	{ 0x1eace7f4, "crypto_alloc_skcipher" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x97f4f729, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd6677666, "key_alloc" },
	{ 0xdf42acbc, "bpf_trace_run4" },
	{ 0xa0f6079d, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xe46a9543, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdc468b46, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4461f75a, "trace_raw_output_prep" },
	{ 0x6c8a631b, "udp_sock_create4" },
	{ 0x678f08cd, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x3b10ef30, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x12f32f1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xd18b04a8, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x854e3712, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0xf4dc14e5, "udpv6_sendmsg" },
	{ 0x623a081a, "unregister_key_type" },
	{ 0x6aa0e8e1, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x7438dccb, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5ff8586, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x11d10e87, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x3846ca81, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf3bc2f96, "crypto_skcipher_setkey" },
	{ 0xcb4852ac, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd5ca7d6e, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xe3ccd7fb, "register_key_type" },
	{ 0xe365df56, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4feebb7f, "put_cmsg" },
	{ 0xe23d8164, "wake_up_process" },
	{ 0x31fb2868, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x8e8e8ff7, "register_net_sysctl_sz" },
	{ 0x414dd49f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x3c5a3682, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8603d341, "ipv6_icmp_error" },
	{ 0x1fda6f7c, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x14071bfd, "crypto_skcipher_decrypt" },
	{ 0x2ea414f8, "make_kuid" },
	{ 0xf8e8c65e, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xcecff8ae, "const_pcpu_hot" },
	{ 0x56be986, "proto_register" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xbbe2fa19, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7740f90f, "__sock_recv_timestamp" },
	{ 0xebf8276e, "key_put" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc8ae8ae5, "perf_trace_run_bpf_submit" },
	{ 0x3ebdd6cb, "init_net" },
	{ 0xa3d41da, "skb_pull" },
	{ 0xbc01ddc0, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0x6ce1d08a, "sock_enable_timestamps" },
	{ 0xb60760a6, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb4f334a4, "ip6_mtu" },
	{ 0xe58d6260, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0xbee6f4c1, "bpf_trace_run5" },
	{ 0x541ccb36, "sk_free" },
	{ 0x792010e8, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "55CE2B2ADF4AE3B1FDF8A74");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
