#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_port, "", "");
KSYMTAB_FUNC(roce_del_all_netdev_gids, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x1644b41c, "");
SYMBOL_CRC(__ib_alloc_pd, 0xe9d07c84, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x4ef50f58, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0xdc8b82e9, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x7f244ed2, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x66eb7fba, "");
SYMBOL_CRC(rdma_create_ah, 0xd5609653, "");
SYMBOL_CRC(rdma_create_user_ah, 0x09c2e6f9, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xe28d0dda, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0xccf44389, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x2c85caa1, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0xe83a59bd, "");
SYMBOL_CRC(rdma_modify_ah, 0xa2fb9025, "");
SYMBOL_CRC(rdma_query_ah, 0x140ca345, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x0e2f7395, "");
SYMBOL_CRC(ib_create_srq_user, 0xdcf3df66, "");
SYMBOL_CRC(ib_modify_srq, 0xb5d7a5f9, "");
SYMBOL_CRC(ib_query_srq, 0x75ade9c1, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x8381b2e3, "");
SYMBOL_CRC(ib_open_qp, 0x1cdc728a, "");
SYMBOL_CRC(ib_create_qp_user, 0xedd1f217, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xa9045575, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xa9c6b653, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x61355a02, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x959f735b, "");
SYMBOL_CRC(ib_get_eth_speed, 0x4e025e05, "");
SYMBOL_CRC(ib_modify_qp, 0x64645577, "");
SYMBOL_CRC(ib_query_qp, 0x2598767e, "");
SYMBOL_CRC(ib_close_qp, 0xd86da1b3, "");
SYMBOL_CRC(ib_destroy_qp_user, 0xc574817f, "");
SYMBOL_CRC(__ib_create_cq, 0x9cf2d94a, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0xf9db03a9, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x0f640c23, "");
SYMBOL_CRC(ib_resize_cq, 0x775086f0, "");
SYMBOL_CRC(ib_reg_user_mr, 0x0560c5c4, "");
SYMBOL_CRC(ib_advise_mr, 0x5f67771b, "");
SYMBOL_CRC(ib_dereg_mr_user, 0xeda92f51, "");
SYMBOL_CRC(ib_alloc_mr, 0x66434bdd, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x1e15163c, "");
SYMBOL_CRC(ib_attach_mcast, 0x79d22327, "");
SYMBOL_CRC(ib_detach_mcast, 0xf6749564, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x0ae35cab, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0xea9198ae, "");
SYMBOL_CRC(ib_create_wq, 0xf2d633cc, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x94c3d788, "");
SYMBOL_CRC(ib_check_mr_status, 0x4b0c4444, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x88ae0d64, "");
SYMBOL_CRC(ib_get_vf_config, 0xca3e1ef7, "");
SYMBOL_CRC(ib_get_vf_stats, 0xa3c9111c, "");
SYMBOL_CRC(ib_set_vf_guid, 0x808ff2c2, "");
SYMBOL_CRC(ib_get_vf_guid, 0x87e3d429, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x4d1f4867, "");
SYMBOL_CRC(ib_map_mr_sg, 0x46e0b35b, "");
SYMBOL_CRC(ib_sg_to_pages, 0xb0752de4, "");
SYMBOL_CRC(ib_drain_sq, 0x135b5fa3, "");
SYMBOL_CRC(ib_drain_rq, 0x9dc40fac, "");
SYMBOL_CRC(ib_drain_qp, 0xf4ab0f61, "");
SYMBOL_CRC(rdma_alloc_netdev, 0xeb50c482, "");
SYMBOL_CRC(rdma_init_netdev, 0x5cde59bf, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0xe5ad56e6, "");
SYMBOL_CRC(__ib_alloc_cq, 0xed4feefd, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xce56753a, "");
SYMBOL_CRC(ib_free_cq, 0x30efc685, "");
SYMBOL_CRC(ib_cq_pool_get, 0x0e09b5b8, "");
SYMBOL_CRC(ib_cq_pool_put, 0x3602535e, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x48930aa8, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0xbc125608, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0xe548921a, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x7830c9a0, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xa4bc9ee5, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0xdaa61c1f, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x4aa6d17c, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0xeb0c785a, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x54187d98, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xad5ae8de, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x757bca90, "");
SYMBOL_CRC(ibdev_printk, 0x3df45e4c, "");
SYMBOL_CRC(ibdev_emerg, 0x9d09d905, "");
SYMBOL_CRC(ibdev_alert, 0x209eca4e, "");
SYMBOL_CRC(ibdev_crit, 0xeee24be4, "");
SYMBOL_CRC(ibdev_err, 0x13b24086, "");
SYMBOL_CRC(ibdev_warn, 0xe7387587, "");
SYMBOL_CRC(ibdev_notice, 0x10f9dfa0, "");
SYMBOL_CRC(ibdev_info, 0x532ee43b, "");
SYMBOL_CRC(ib_device_put, 0x0e58ef08, "");
SYMBOL_CRC(ib_device_get_by_name, 0xe28cbc87, "");
SYMBOL_CRC(_ib_alloc_device, 0x624f3cac, "");
SYMBOL_CRC(ib_dealloc_device, 0xb005f242, "");
SYMBOL_CRC(ib_port_immutable_read, 0xe5c085ca, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xd37bf361, "");
SYMBOL_CRC(ib_register_device, 0x80f05fa3, "");
SYMBOL_CRC(ib_unregister_device, 0xe39bf71c, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0xa630f3ab, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x51520da0, "");
SYMBOL_CRC(ib_register_client, 0x779c616f, "");
SYMBOL_CRC(ib_unregister_client, 0x303487ac, "");
SYMBOL_CRC(ib_set_client_data, 0x1ed59fd0, "");
SYMBOL_CRC(ib_register_event_handler, 0x00c19227, "");
SYMBOL_CRC(ib_unregister_event_handler, 0xb44f1b87, "");
SYMBOL_CRC(ib_query_port, 0x753f834d, "");
SYMBOL_CRC(ib_device_set_netdev, 0x4f3c33a6, "");
SYMBOL_CRC(ib_device_get_netdev, 0x1513d1dd, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x2f19e36f, "");
SYMBOL_CRC(ib_query_pkey, 0xab242839, "");
SYMBOL_CRC(ib_modify_device, 0xdbb2e968, "");
SYMBOL_CRC(ib_modify_port, 0x9b53e691, "");
SYMBOL_CRC(ib_find_gid, 0x6d9276f8, "");
SYMBOL_CRC(ib_find_pkey, 0xcdafdf0c, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x33d3525e, "");
SYMBOL_CRC(ib_set_device_ops, 0xb87377e8, "");
SYMBOL_CRC(ib_add_sub_device, 0x60930083, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0x1960430e, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xc209503b, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x60330cf1, "");
SYMBOL_CRC(rdma_query_gid, 0x5c40d63b, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x6f868d3b, "");
SYMBOL_CRC(rdma_find_gid, 0x576b5ec4, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x7b9eb8a7, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xa0df0081, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x37ba53c5, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xbc9eec0e, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x540df45f, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x082f80b5, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x057a4bc6, "");
SYMBOL_CRC(rdma_query_gid_table, 0x8fee41ec, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x7a9f3863, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0xed7ca869, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x29bcde09, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x37733848, "");
SYMBOL_CRC(ib_dispatch_event, 0x39ad4ddb, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x73cb930a, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x53468463, "");
SYMBOL_CRC(ibnl_put_attr, 0x7cdf7adf, "");
SYMBOL_CRC(rdma_nl_unicast, 0x5bc6845e, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x9c34589a, "");
SYMBOL_CRC(rdma_nl_multicast, 0x4066c41a, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x552a3b46, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0xf149202d, "");
SYMBOL_CRC(rdma_roce_rescan_port, 0x2b571bf6, "");
SYMBOL_CRC(roce_del_all_netdev_gids, 0xeff23e39, "");
SYMBOL_CRC(ib_mr_pool_get, 0xc12ee166, "");
SYMBOL_CRC(ib_mr_pool_put, 0x5d03d5d7, "");
SYMBOL_CRC(ib_mr_pool_init, 0xdc282c78, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x52336d2b, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0xd579ba2e, "");
SYMBOL_CRC(rdma_translate_ip, 0x25ae6d35, "");
SYMBOL_CRC(rdma_resolve_ip, 0x44db6ddb, "");
SYMBOL_CRC(rdma_addr_cancel, 0x24a62958, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xf0b59617, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x4daaead8, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xeb943e0a, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xaccd6879, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0xf80ce60d, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xfbb19d7c, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x8c211275, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x2322e71d, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x1757991c, "");
SYMBOL_CRC(ib_create_send_mad, 0x84ce07de, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0xb6ae69d8, "");
SYMBOL_CRC(ib_free_send_mad, 0xf045ab22, "");
SYMBOL_CRC(ib_post_send_mad, 0x32045701, "");
SYMBOL_CRC(ib_free_recv_mad, 0x67cade54, "");
SYMBOL_CRC(ib_modify_mad, 0xc56488fe, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x57e08533, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x6c957f90, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0xc1a7547e, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x1ddc6d0f, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x5cecfb10, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xaf5dd4cd, "");
SYMBOL_CRC(rdma_link_register, 0xb6bdd026, "");
SYMBOL_CRC(rdma_link_unregister, 0x3171a716, "");
SYMBOL_CRC(rdma_restrack_count, 0xe86ccfa9, "");
SYMBOL_CRC(rdma_restrack_set_name, 0xc843a0ef, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xee3c94bf, "");
SYMBOL_CRC(rdma_restrack_new, 0x548413ce, "");
SYMBOL_CRC(rdma_restrack_add, 0x6b2ea26f, "");
SYMBOL_CRC(rdma_restrack_get, 0x04ee0e4f, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0xeb7a20f0, "");
SYMBOL_CRC(rdma_restrack_put, 0x8f890bc4, "");
SYMBOL_CRC(rdma_restrack_del, 0xf0c3c3c2, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x0b0e1435, "");
SYMBOL_CRC(rdma_user_mmap_io, 0xd21055d8, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0xced34712, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xfb1cc10f, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x6c9b2fa8, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x2d09c6fd, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xecef8aaa, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x1c83d73f, "");
SYMBOL_CRC(ib_create_qp_security, 0x0a097132, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x764231e6, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x2b0cd291, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcc7fcec8, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x57b0f1fb, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd0f34e4e, "netlink_kernel_release" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x30b458b9, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2b2b3926, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x579930d9, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x34a3e79c, "bpf_trace_run1" },
	{ 0xdf940b62, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x74c587ee, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0x2701639e, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0x7a686811, "__neigh_event_send" },
	{ 0x67f333ac, "dev_printk_emit" },
	{ 0x299cbcda, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x3d61623e, "skb_trim" },
	{ 0xcd54098, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xf921734a, "netdev_walk_all_upper_dev_rcu" },
	{ 0x6d7652b7, "bpf_trace_run3" },
	{ 0x705a57d3, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf6cc96cd, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3d552eb0, "neigh_destroy" },
	{ 0xe5c932bb, "kobject_del" },
	{ 0x36609975, "trace_event_buffer_reserve" },
	{ 0xc67a241e, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x90187363, "param_ops_bool" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf36f857e, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xe8ca22a3, "dev_get_by_name" },
	{ 0xf224dce4, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2aa8a525, "dst_release" },
	{ 0xd97ef6ca, "kobject_uevent" },
	{ 0x7e5e6424, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xba99d396, "vlan_dev_vlan_id" },
	{ 0xccd155c6, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc101d122, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xa89ba91e, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x60425354, "netlink_has_listeners" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xde1c715e, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb8d9a07, "get_net_ns_by_fd" },
	{ 0xdeb419c9, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92dc5d8b, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4ebf5b43, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc300d45c, "rdmacg_try_charge" },
	{ 0xb258d5e2, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdf42acbc, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6fe4796d, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xac4bebe4, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1d6891c8, "dev_set_name" },
	{ 0xbbf5b04c, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4461f75a, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xb32fdc18, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x12f32f1e, "__trace_trigger_soft_disabled" },
	{ 0xf4ba395f, "__kmalloc_node_noprof" },
	{ 0x42c2e922, "dma_unmap_page_attrs" },
	{ 0xd18b04a8, "trace_event_printf" },
	{ 0x967eee56, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa5c6ccae, "sysfs_remove_groups" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x6f2bf0c0, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x23967b1, "xas_find" },
	{ 0x8625682e, "kobject_init" },
	{ 0xcd70634a, "device_initialize" },
	{ 0x73f41d3e, "__dynamic_ibdev_dbg" },
	{ 0x37c6329a, "sysfs_create_groups" },
	{ 0x7438dccb, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd565b42b, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x31eff6ce, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x11d10e87, "pcpu_hot" },
	{ 0x7d0a723c, "__netlink_kernel_create" },
	{ 0x3846ca81, "bpf_trace_run2" },
	{ 0xcb4852ac, "ip_route_output_flow" },
	{ 0x2b32578d, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x319835ed, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf293494a, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xa84e8951, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe3cc8248, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x1ef9df67, "dev_driver_string" },
	{ 0x31fb2868, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfe56e229, "dma_map_page_attrs" },
	{ 0x73ba384f, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfd3596d3, "put_device" },
	{ 0x1e979e96, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa4dac85c, "__alloc_skb" },
	{ 0xcecff8ae, "const_pcpu_hot" },
	{ 0xae1c8753, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85d321dc, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xaaf4e4c9, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc8ae8ae5, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x47d1b1cd, "_dev_err" },
	{ 0x3ebdd6cb, "init_net" },
	{ 0x7df408a0, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x71308f4f, "ipv6_stub" },
	{ 0xa3d41da, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x62eb2774, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe58d6260, "sk_skb_reason_drop" },
	{ 0x2f36abc, "netlink_unicast" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x251610e, "dev_get_by_index" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4782760F1B91A6CD7B9359C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
