#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5338377, "mdio_i2c_alloc" },
	{ 0x34540425, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc080c98, "__devm_add_action" },
	{ 0xb3c5da1, "device_get_match_data" },
	{ 0x192cde0d, "__dev_fwnode" },
	{ 0x62b15b60, "fwnode_find_reference" },
	{ 0x74e240f4, "i2c_get_adapter_by_fwnode" },
	{ 0xf2bd2965, "device_property_read_u32_array" },
	{ 0x7cc2f8fc, "devm_gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa7d6c806, "sfp_register_socket" },
	{ 0x98419dda, "gpiod_to_irq" },
	{ 0xa76a70bd, "debugfs_create_dir" },
	{ 0xbfe863f8, "debugfs_create_file_full" },
	{ 0x7d4f1284, "devm_kasprintf" },
	{ 0x227fd13, "devm_request_threaded_irq" },
	{ 0x79bf5767, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0x75575efd, "seq_lseek" },
	{ 0xdbf0bcbf, "seq_read" },
	{ 0x576599f2, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92ec3011, "__platform_driver_register" },
	{ 0xbcbb8ba1, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x32a3d9e8, "get_phy_device" },
	{ 0x5ae5b453, "phy_device_register" },
	{ 0xe234c031, "sfp_add_phy" },
	{ 0x9d0e2e40, "phy_device_remove" },
	{ 0x7d79ed80, "phy_device_free" },
	{ 0x47d1b1cd, "_dev_err" },
	{ 0x13133a03, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa2fdbb2a, "gpiod_direction_input" },
	{ 0x1b1e0259, "gpiod_direction_output" },
	{ 0xcb2d2a1b, "mdiobus_unregister" },
	{ 0xdfbb85c6, "mdiobus_free" },
	{ 0x3be7613e, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0xb0e6d0b4, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x2701639e, "_dev_warn" },
	{ 0xde9f39a3, "_dev_info" },
	{ 0x52ea729, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xae7a489c, "single_open" },
	{ 0xbdb4f91e, "seq_printf" },
	{ 0x136eed69, "platform_driver_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x319835ed, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0x8e7438e6, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "73CF3058835A7D847F1F9B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
