#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xbde90085, "");
SYMBOL_CRC(bt_sock_register, 0x222be84d, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x1578fbc2, "");
SYMBOL_CRC(bt_sock_link, 0xe3ff9ef2, "");
SYMBOL_CRC(bt_sock_unlink, 0x8d46260a, "");
SYMBOL_CRC(bt_sock_linked, 0x6d64136f, "");
SYMBOL_CRC(bt_accept_enqueue, 0xe8f240a4, "");
SYMBOL_CRC(bt_accept_unlink, 0xf1858a86, "");
SYMBOL_CRC(bt_accept_dequeue, 0xdb377e36, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x39a05558, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x07e6a833, "");
SYMBOL_CRC(bt_sock_poll, 0xbcb66ca4, "");
SYMBOL_CRC(bt_sock_ioctl, 0xf6b3d7b8, "");
SYMBOL_CRC(bt_sock_wait_state, 0x9e5a11c8, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x68a76f7d, "");
SYMBOL_CRC(bt_procfs_init, 0xc634a8d5, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x48ea2b95, "");
SYMBOL_CRC(bt_debugfs, 0xb499ef4b, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x756da7f6, "");
SYMBOL_CRC(hci_free_dev, 0xfe3ca290, "");
SYMBOL_CRC(hci_register_dev, 0xe649b085, "");
SYMBOL_CRC(hci_unregister_dev, 0x98daf593, "");
SYMBOL_CRC(hci_release_dev, 0xce556744, "");
SYMBOL_CRC(hci_suspend_dev, 0x3bbbd861, "");
SYMBOL_CRC(hci_resume_dev, 0x66980ac9, "");
SYMBOL_CRC(hci_reset_dev, 0x8b203237, "");
SYMBOL_CRC(hci_recv_frame, 0x5ab5b398, "");
SYMBOL_CRC(hci_recv_diag, 0x8fd47278, "");
SYMBOL_CRC(hci_set_hw_info, 0x63f22303, "");
SYMBOL_CRC(hci_set_fw_info, 0x1405392b, "");
SYMBOL_CRC(hci_register_cb, 0x5fb90a3e, "");
SYMBOL_CRC(hci_unregister_cb, 0x694b13ed, "");
SYMBOL_CRC(__hci_cmd_send, 0xc1934293, "");
SYMBOL_CRC(hci_get_route, 0x91022d0d, "");
SYMBOL_CRC(hci_conn_security, 0x14aa36c8, "");
SYMBOL_CRC(hci_conn_check_secure, 0xcce8211b, "");
SYMBOL_CRC(hci_conn_switch_role, 0xa2ccd9ad, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x8e364a51, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x3c752540, "");
SYMBOL_CRC(l2cap_add_psm, 0x86b28df7, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x3f66fecb, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xa7875fd2, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x9d532eba, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xe19b1e14, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xf6d9f768, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x4ea882e1, "");
SYMBOL_CRC(l2cap_register_user, 0x385be9aa, "");
SYMBOL_CRC(l2cap_unregister_user, 0x6035a30a, "");
SYMBOL_CRC(l2cap_conn_get, 0xdc97efbf, "");
SYMBOL_CRC(l2cap_conn_put, 0x5736d998, "");
SYMBOL_CRC(l2cap_chan_send, 0xefb78b54, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x85daa990, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x38fce8ff, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xe9b2120f, "");
SYMBOL_CRC(__hci_cmd_sync, 0x1c7bc1fd, "");
SYMBOL_CRC(hci_cmd_sync, 0x64c36ae3, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x7c4f235d, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xe8ccf71c, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x3e8fab89, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x637e745b, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x462249df, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xfdd5af57, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xc51dbb64, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xd48e187e, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xbd5a0c1a, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xa6b03116, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0xfade03cc, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x49a40f32, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xdcf25b8a, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x40092a61, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x36a4eb4a, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xfecd8434, "");
SYMBOL_CRC(hci_devcd_init, 0x2cb8c22e, "");
SYMBOL_CRC(hci_devcd_append, 0x476d5073, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xd5afe643, "");
SYMBOL_CRC(hci_devcd_complete, 0x2f793d3f, "");
SYMBOL_CRC(hci_devcd_abort, 0x476fda73, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa5e1af68, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xac4bebe4, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1d6891c8, "dev_set_name" },
	{ 0x973f67be, "scm_detach_fds" },
	{ 0x3c058de8, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x6ecf305f, "device_unregister" },
	{ 0x3b10ef30, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc482b124, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x14466bdd, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xcd70634a, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x75575efd, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xbb90b32a, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3306eaa2, "dev_kfree_skb_irq_reason" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x84588265, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf9564bd5, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x2b32578d, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x72dece5e, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc0d5eda, "__put_cred" },
	{ 0x4feebb7f, "put_cmsg" },
	{ 0xcd1557a5, "skb_queue_purge_reason" },
	{ 0x414dd49f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b631508, "disable_delayed_work" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x81cc4624, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x3c5a3682, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1fda6f7c, "sock_register" },
	{ 0xba0e1bb2, "datagram_poll" },
	{ 0x913c5a9, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfd3596d3, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa4dac85c, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xcecff8ae, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x56be986, "proto_register" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbbe2fa19, "skb_queue_tail" },
	{ 0xb8bb8340, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7740f90f, "__sock_recv_timestamp" },
	{ 0x85fd7e1e, "sock_no_shutdown" },
	{ 0xef741454, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5394248b, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x3ebdd6cb, "init_net" },
	{ 0x97278f5, "crypto_shash_setkey" },
	{ 0xa3d41da, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x62eb2774, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5f174c25, "init_uts_ns" },
	{ 0xe58d6260, "sk_skb_reason_drop" },
	{ 0x541ccb36, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41fe80de, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x462024c0, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcc7fcec8, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xcf3c8d0c, "sock_no_listen" },
	{ 0x79bf5767, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xe47b7963, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdde7e358, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x30b458b9, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x28463b21, "lock_sock_nested" },
	{ 0x10ff7595, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf1b58b56, "skb_copy_datagram_iter" },
	{ 0x105307d3, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc6f5b76a, "sk_alloc" },
	{ 0xdf940b62, "device_del" },
	{ 0xeb6b2332, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xac6d5b7, "__sock_recv_wifi_status" },
	{ 0xb374de9e, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdc2e483f, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x63c1ae29, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4b8b2d1b, "security_sk_clone" },
	{ 0xe2b1b460, "__pskb_pull_tail" },
	{ 0x656cbb7f, "__scm_destroy" },
	{ 0x98897670, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x3d61623e, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xdf805c65, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d4f1284, "devm_kasprintf" },
	{ 0xdbf0bcbf, "seq_read" },
	{ 0x73379b1d, "sock_i_ino" },
	{ 0x76baa8dd, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x740ae362, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x90187363, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xc2e85add, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7427021d, "sock_alloc_send_pskb" },
	{ 0x5034a267, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x120c798e, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xff9dabe1, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdb4f91e, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe35c2b5b, "skb_copy" },
	{ 0x6034d5b5, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x17f90393, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xbfe863f8, "debugfs_create_file_full" },
	{ 0x5a7edd22, "led_set_brightness" },
	{ 0xab9db654, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x59f2604, "sock_gettstamp" },
	{ 0x576599f2, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x58221b8a, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x696c866d, "disable_delayed_work_sync" },
	{ 0x92462cb2, "from_kuid_munged" },
	{ 0xac94d53, "led_trigger_event" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x9ef8dc10, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x346448c7, "proc_create_seq_private" },
	{ 0xae7a489c, "single_open" },
	{ 0x7c9e3049, "crypto_alloc_shash" },
	{ 0xa76a70bd, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xa9d88cd6, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x1279a3fb, "put_pid" },
	{ 0xdeb419c9, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xddbde1e7, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x192cde0d, "__dev_fwnode" },
	{ 0x1a24a306, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x45e00e9b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd221d9e6, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x855d3865, "security_sock_graft" },
	{ 0x1392cbd4, "skb_free_datagram" },
	{ 0x3e296585, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xaad814e9, "try_module_get" },
	{ 0x97c61116, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "F39E2A264A33A4244691776");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
