#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0xae771d77, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x4441fcad, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0xd3b8bd97, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x9d7977e1, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0xb1f0c3cb, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0xf2c80287, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0xb3b217a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x108f3ed1, "devm_regulator_get" },
	{ 0x52641863, "snd_soc_component_disable_pin_unlocked" },
	{ 0xde9f39a3, "_dev_info" },
	{ 0xdfe83c74, "snd_soc_info_volsw" },
	{ 0x47d1b1cd, "_dev_err" },
	{ 0x4493d0e0, "wm_adsp_event" },
	{ 0xc4afc81f, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3db1c360, "snd_ctl_notify" },
	{ 0x9a1f3db1, "wm_adsp_fw_enum" },
	{ 0x2701639e, "_dev_warn" },
	{ 0x8047ce21, "wm_adsp2_component_probe" },
	{ 0x7f6b8e4, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa54935d4, "wm_adsp2_preloader_get" },
	{ 0x1cf56c27, "snd_soc_info_enum_double" },
	{ 0x375247de, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb04e073f, "devm_regmap_add_irq_chip" },
	{ 0xe196d651, "snd_soc_get_volsw" },
	{ 0xd3d3310c, "regmap_read" },
	{ 0xc65e38e9, "snd_soc_put_volsw" },
	{ 0x22d9bc67, "wm_adsp_fw_get" },
	{ 0x3bfd1569, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd0cdbd04, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb361aa8d, "regmap_bulk_read" },
	{ 0x2635fbb7, "regmap_update_bits_base" },
	{ 0x624a16c1, "regulator_disable" },
	{ 0xb1b959b4, "dev_err_probe" },
	{ 0x2b454c48, "regmap_multi_reg_write" },
	{ 0xd1470151, "snd_soc_dapm_get_volsw" },
	{ 0xde892c3b, "__pm_runtime_suspend" },
	{ 0xcc8d2054, "regmap_register_patch" },
	{ 0x461b0b8, "snd_soc_dapm_get_enum_double" },
	{ 0x16e1aebc, "__pm_runtime_use_autosuspend" },
	{ 0x9b90661c, "wm_halo_init" },
	{ 0xe24267e6, "wm_adsp_early_event" },
	{ 0x601347a6, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xdc105942, "snd_soc_dapm_put_enum_double" },
	{ 0x80663157, "wm_adsp_fw_put" },
	{ 0xed1068f, "regulator_enable" },
	{ 0x7f529de3, "regcache_cache_only" },
	{ 0xfbac2b1c, "regcache_sync" },
	{ 0xdb9bbe8d, "regmap_write" },
	{ 0x227fd13, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65a62399, "snd_soc_component_get_kcontrol" },
	{ 0x24cda422, "pm_runtime_set_autosuspend_delay" },
	{ 0xdd79997f, "gpiod_set_value_cansleep" },
	{ 0x5ad5bbb5, "wm_adsp2_remove" },
	{ 0xed2f37a1, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf82aea51, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7cc2f8fc, "devm_gpiod_get_optional" },
	{ 0x319835ed, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x31c61161, "__pm_runtime_set_status" },
	{ 0xc074cc, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f1b3ecc, "pm_runtime_enable" },
	{ 0xf2bd2965, "device_property_read_u32_array" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "53BE2582FD8BF031369F854");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
