#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x8d56c86c, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x0f57de91, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x51af839b, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x8feab494, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x9edcf6a7, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xd3b0c019, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x586aeec0, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x36542cde, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0xd43e3859, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0xc72a6dab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf82aea51, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7cc2f8fc, "devm_gpiod_get_optional" },
	{ 0x896a13e7, "wm_adsp_stop" },
	{ 0x319835ed, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeaf4beae, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x31c61161, "__pm_runtime_set_status" },
	{ 0xc074cc, "devm_snd_soc_register_component" },
	{ 0xdc267907, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9a0943d0, "sdw_write_no_pm" },
	{ 0xbcbb8ba1, "devm_free_irq" },
	{ 0x7f1b3ecc, "pm_runtime_enable" },
	{ 0x1aa7d077, "fwnode_gpiod_get_index" },
	{ 0x505152b2, "regulator_bulk_disable" },
	{ 0xde9f39a3, "_dev_info" },
	{ 0x72056c42, "acpi_dev_remove_driver_gpios" },
	{ 0xdfe83c74, "snd_soc_info_volsw" },
	{ 0x60a3e3d2, "cs35l56_init_cs_dsp" },
	{ 0x948a348a, "wm_adsp_power_down" },
	{ 0x47d1b1cd, "_dev_err" },
	{ 0xb4919f1a, "debugfs_create_bool" },
	{ 0x4493d0e0, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x389a0771, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x96a77546, "cs35l56_runtime_suspend_common" },
	{ 0x6c75087b, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7bc34b04, "cs35l56_mbox_send" },
	{ 0xe5d4be87, "cs35l56_hw_init" },
	{ 0x2701639e, "_dev_warn" },
	{ 0x8047ce21, "wm_adsp2_component_probe" },
	{ 0x6d2f5024, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x48d8dbdf, "cs35l56_system_reset" },
	{ 0x1cf56c27, "snd_soc_info_enum_double" },
	{ 0xcff7177d, "regulator_bulk_enable" },
	{ 0x95399bb, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x375247de, "wm_adsp2_component_remove" },
	{ 0x559a984c, "cs35l56_wait_for_firmware_boot" },
	{ 0x7d4f1284, "devm_kasprintf" },
	{ 0xe196d651, "snd_soc_get_volsw" },
	{ 0x7caf1821, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x5bd65620, "fwnode_property_present" },
	{ 0x7aa8e43c, "cs35l56_is_fw_reload_needed" },
	{ 0xd3d3310c, "regmap_read" },
	{ 0xc65e38e9, "snd_soc_put_volsw" },
	{ 0x3bfd1569, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3a16f9c1, "cs_amp_write_cal_coeffs" },
	{ 0x7d2a52cd, "device_get_named_child_node" },
	{ 0xfc2dceff, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4e5cbed4, "sdw_stream_remove_slave" },
	{ 0x885f5784, "cs35l56_runtime_resume_common" },
	{ 0x9910074b, "dapm_regulator_event" },
	{ 0x157bfbb4, "cs35l56_get_speaker_id" },
	{ 0x1a50fd7f, "wm_adsp_run" },
	{ 0x2635fbb7, "regmap_update_bits_base" },
	{ 0xf8e060bc, "acpi_dev_get_property" },
	{ 0xb1b959b4, "dev_err_probe" },
	{ 0xde892c3b, "__pm_runtime_suspend" },
	{ 0x1d4878b, "cs35l56_fill_supply_names" },
	{ 0xdc080c98, "__devm_add_action" },
	{ 0x461b0b8, "snd_soc_dapm_get_enum_double" },
	{ 0x16e1aebc, "__pm_runtime_use_autosuspend" },
	{ 0x9b90661c, "wm_halo_init" },
	{ 0x601347a6, "__pm_runtime_disable" },
	{ 0x6d6181dc, "cs35l56_firmware_shutdown" },
	{ 0x3dcabb81, "sdw_stream_add_slave" },
	{ 0x7f5bf4ee, "pm_runtime_force_suspend" },
	{ 0x16406246, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xdc105942, "snd_soc_dapm_put_enum_double" },
	{ 0x13133a03, "gpiod_get_value_cansleep" },
	{ 0x7f529de3, "regcache_cache_only" },
	{ 0x1104c8a9, "is_acpi_device_node" },
	{ 0xb9127a61, "gpiod_put" },
	{ 0xfbac2b1c, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdb9bbe8d, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24cda422, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdd79997f, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xca805020, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "EEBDB0229DE20B172F9D064");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
